Subject: [saag] MILE WG Summary

From: <[email-masked]>
Date: Thu, 2 Aug 2012 12:51:11 -0400

MILE WG Meeting Summary
Met Tuesday, July 31, 2012
Session recorded via MeetEcho

Two drafts moved to RFCs, RFC6684 and RFC6685 since the last meeting.

Reviewed existing drafts:
Structured Cyber Security Information draft: draft-ietf-mile-sci 
Discussion on how to include identifier references (enumerated values of other data formats) came to a conclusion of preferring representation directly in IODEF.  A second draft to address this use case will be submitted by Adam Montville.
IPR issues and the inability to normatively reference (references not valid as a normative reference) included work was raised with the references in the SCI draft by AD.  Working group conclusion was to pull these references from the document.  Review will be required to add any back into the document or later into IANA tables.

GRC Report Exchange: draft-ietf-mile-grc-exchange
Some work has been done to implement and play with the message exchange flows previously proposed.  As a result, a need for additional flows was identified.  The proposed changes were presented and will be included in an updated version of the document.  The WG will need to review the updated document.  Suggestions were provided and are included int he meeting minutes.

Proposed Work: RFC5070-bis
Discussion on the mailing list has been outlining some important updates to RFC5070, the Incident Object Description Exchange Format (IODEF).  We would like to see lots of discussion and agreement to guide any updates.  The discussion and presentation covered both detailed proposals for updates as well as guidance updates, so we may wind up with a complimentary guidance document as well.  The main problem experienced by those using the format is the limitation in not being able to easily extend enumerated values, so an IANA table may be used to allow updates to enumerated values once the updated RFC has been published.  Internationalization issues were also identified.  The complete details of current proposals has been sent to the list and was included in the slides.  Drafts will need to be posted.